#!/bin/bash

# This script, which is designed to be 'source'd instead of run,
# sets environment variables for Unix systems.
# In particular, it points to the local copy of leJOS NXJ.
# The script assumes that 'javac' is already on the current path.

# Get the full path to lejos
pushd "`dirname \"${BASH_SOURCE[0]}\"`" >> /dev/null
cd ../ThirdParty/lejos_nxj
export NXJ_HOME=$PWD
popd >> /dev/null

# Add it to the path
export PATH=$NXJ_HOME/bin:$PATH


# Set the 32-bit flag.  (Needed on OS X 10.5 and up)
export D32=""
if [[ "`uname`" == 'Darwin' ]]; then
	# we are on OS X
	if [ `sw_vers -productVersion | cut -d '.' -f 2` -gt '4' ]; then
		# We are on OS X 10.X, where X is greater than 4 (ie. Leopard/Snow Leopard/Lion?)
		export D32="-d32"
	fi
fi
